"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const y=require("micromark"),k=require("striptags"),f=require("feather-icons");function e(t,...i){return t.reduce((a,n,r)=>{const o=i[r];return Array.isArray(o)?a+n+o.join(""):o!=null&&!!o!==o?a+n+o:a+n},"")}function c(t,i=!1){const a=y(t);return i?k(a):a}const w=t=>new Date(t).toLocaleDateString("en",{month:"short",year:"numeric",timeZone:"UTC"});function u(t){return e`<time datetime="${t}">${w(t)}</time>`}function x(t=[]){return t.length>0&&e`
    <section id="awards">
      <h3>Awards</h3>
      <div class="stack">
        ${t.map(({awarder:i,date:a,summary:n,title:r})=>e`
          <article>
            <header>
              <h4>${r}</h4>
              <div class="meta">
                ${i&&e`
                  <div>
                    Awarded by <strong>${i}</strong>
                  </div>
                `}
                ${a&&u(a)}
              </div>
            </header>
            ${n&&c(n)}
          </article>
        `)}
      </div>
    </section>
  `}const L=t=>t.replace(/^(https?:|)\/\//,"").replace(/\/$/,"");function h(t,i){return i?t?e`<a href="${t}">${i}</a>`:i:t&&e`<a href="${t}">${L(t)}</a>`}function C(t=[]){return t.length>0&&e`
    <section id="certificates">
      <h3>Certificates</h3>
      <div class="stack">
        ${t.map(({date:i,issuer:a,name:n,url:r})=>e`
          <article>
            <header>
              <h4>${h(r,n)}</h4>
              <div class="meta">
                ${a&&e`
                  <div>
                    Issued by <strong>${a}</strong>
                  </div>
                `}
                ${i&&u(i)}
              </div>
            </header>
          </article>
        `)}
      </div>
    </section>
  `}function v(t,i){return t?e`${u(t)} – ${i?u(i):"Present"}`:""}function z(t=[]){return t.length>0&&e`
    <section id="education">
      <h3>Education</h3>
      <div class="stack">
        ${t.map(({area:i,courses:a=[],institution:n,startDate:r,endDate:o,studyType:l,url:d})=>e`
          <article>
            <header>
              <h4>${h(d,n)}</h4>
              <div class="meta">
                ${i&&e`<strong>${i}</strong>`}
                <div>${v(r,o)}</div>
              </div>
            </header>
            ${l&&c(l)}
            ${a.length>0&&e`
              <h5>Courses</h5>
              <ul>
                ${a.map(s=>e`<li>${c(s)}</li>`)}
              </ul>
            `}
          </article>
        `)}
      </div>
    </section>
  `}function g(t,i){return(f.icons[t.toLowerCase()]||f.icons[i.toLowerCase()]).toSvg({width:16,height:16})}const I=t=>Intl.DisplayNames?new Intl.DisplayNames(["en"],{type:"region"}).of(t):t;function P(t={}){const{email:i,image:a,label:n,location:r,name:o,phone:l,profiles:d=[],summary:s,url:m}=t;return e`
    <header class="masthead">
      ${a&&e`<img src="${a}" alt="">`}
      <div>
        ${o&&e`<h1>${o}</h1>`}
        ${n&&e`<h2>${n}</h2>`}
      </div>
      ${s&&e`<article>${c(s)}</article>`}
      <ul class="icon-list">
        ${r?.city&&e`
          <li>
            ${g("map-pin")}
            ${r.city}${r.countryCode&&e`, ${I(r.countryCode)}`}
          </li>
        `}
        ${i&&e`
          <li>
            ${g("mail")}
            <a href="mailto:${i}">${i}</a>
          </li>
        `}
        ${l&&e`
          <li>
            ${g("phone")}
            <a href="tel:${l.replace(/\s/g,"")}">${l}</a>
          </li>
        `}
        ${m&&e`
          <li>
            ${g("link")}
            ${h(m)}
          </li>
        `}
        ${d.map(({network:$,url:p,username:b})=>e`
          <li>
            ${g($,"user")}
            ${h(p,b)}
            ${$&&e`<span class="network">(${$})</span>`}
          </li>
        `)}
      </ul>
    </header>
  `}function j(t=[]){return t.length>0&&e`
    <section id="interests">
      <h3>Interests</h3>
      <div class="grid-list">
        ${t.map(({keywords:i=[],name:a})=>e`
          <div>
            ${a&&e`<h4>${a}</h4>`}
            ${i.length>0&&e`
              <ul class="tag-list">
                ${i.map(n=>e`<li>${n}</li>`)}
              </ul>
            `}
          </div>
        `)}
      </div>
    </section>
  `}function q(t=[]){return t.length>0&&e`
    <section id="languages">
      <h3>Languages</h3>
      <div class="grid-list">
        ${t.map(({fluency:i,language:a})=>e`
          <div>
            ${a&&e`<h4>${a}</h4>`}
            ${i}
          </div>
        `)}
      </div>
    </section>
  `}function R(t={}){const{name:i,summary:a}=t;return e`
    ${i&&e`<title>${i}</title>`}
    ${a&&e`<meta name="description" content="${c(a,!0)}">`}
  `}const S=t=>Intl.ListFormat?new Intl.ListFormat("en").format(t):t.join(", ");function A(t=[]){return t.length>0&&e`
    <section id="projects">
      <h3>Projects</h3>
      <div class="stack">
      ${t.map(({description:i,entity:a,highlights:n=[],name:r,startDate:o,endDate:l,roles:d=[],url:s})=>e`
        <article>
          <header>
            <h4>${h(s,r)}</h4>
            <div class="meta">
              <div>
                ${d.length>0&&e`<strong>${S(d)}</strong>`}
                ${a&&e`at <strong>${a}</strong>`}
              </div>
              <div>${v(o,l)}</div>
            </div>
          </header>
          ${i&&c(i)}
          ${n.length>0&&e`
            <ul>
              ${n.map(m=>e`<li>${c(m)}</li>`)}
            </ul>
          `}
        </article>
      `)}
      </div>
    </section>
  `}function D(t=[]){return t.length>0&&e`
    <section id="publications">
      <h3>Publications</h3>
      <div class="stack">
        ${t.map(({name:i,publisher:a,releaseDate:n,summary:r,url:o})=>e`
          <article>
            <header>
              <h4>${h(o,i)}</h4>
              <div class="meta">
                ${a&&e`
                  <div>
                    Published by <strong>${a}</strong>
                  </div>
                `}
                ${n&&u(n)}
              </div>
            </header>
            ${r&&c(r)}
          </article>
        `)}
      </div>
    </section>
  `}function O(t=[]){return t.length>0&&e`
    <section id="references">
      <h3>References</h3>
      <div class="stack">
        ${t.map(({name:i,reference:a})=>e`
          <blockquote>
            ${a&&c(a)}
            ${i&&e`
              <p>
                <cite>${i}</cite>
              </p>
            `}
          </blockquote>
        `)}
      </div>
    </section>
  `}function E(t=[]){return t.length>0&&e`
    <section id="skills">
      <h3>Skills</h3>
      <div class="grid-list">
        ${t.map(({keywords:i=[],name:a})=>e`
          <div>
            ${a&&e`<h4>${a}</h4>`}
            ${i.length>0&&e`
              <ul class="tag-list">
                ${i.map(n=>e`<li>${n}</li>`)}
              </ul>
            `}
          </div>
        `)}
      </div>
    </section>
  `}function T(t=[]){return t.length>0&&e`
    <section id="volunteer">
      <h3>Volunteer</h3>
      <div class="stack">
        ${t.map(({highlights:i=[],organization:a,position:n,startDate:r,endDate:o,summary:l,url:d})=>e`
          <article>
            <header>
              <h4>${n}</h4>
              <div class="meta">
                <strong>${h(d,a)}</strong>
                <div>${v(r,o)}</div>
              </div>
            </header>
            ${l&&c(l)}
            ${i.length>0&&e`
              <ul>
                ${i.map(s=>e`<li>${c(s)}</li>`)}
              </ul>
            `}
          </article>
        `)}
      </div>
    </section>
  `}function F(t=[]){return t.length>0&&e`
    <section id="work">
      <h3>Work</h3>
      <div class="stack">
        ${t.map(({description:i,highlights:a=[],location:n,name:r,position:o,startDate:l,endDate:d,summary:s,url:m})=>e`
          <article>
            <header>
              <h4>${o}</h4>
              <div class="meta">
                <div>
                  <strong>${h(m,r)}</strong>
                  ${i&&e`<span class="bullet-item">${i}</span>`}
                </div>
                <div>${v(l,d)}</div>
                ${n&&e`<div>${n}</div>`}
              </div>
            </header>
            ${s&&c(s)}
            ${a.length>0&&e`
              <ul>
                ${a.map($=>e`<li>${c($)}</li>`)}
              </ul>
            `}
          </article>
        `)}
      </div>
    </section>
  `}function M(t,i){return e`<!DOCTYPE html>
    <html lang="en">
      <head>
        <meta charset="utf-8">
        ${R(t.basics)}
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato:400,700&display=swap">
        <style>${i}</style>
      </head>
      <body>
        ${P(t.basics)}
        ${F(t.work)}
        ${T(t.volunteer)}
        ${z(t.education)}
        ${A(t.projects)}
        ${x(t.awards)}
        ${C(t.certificates)}
        ${D(t.publications)}
        ${E(t.skills)}
        ${q(t.languages)}
        ${j(t.interests)}
        ${O(t.references)}
      </body>
    </html>`}const N=`:root{color-scheme:light dark;--color-background: #ffffff;--color-muted: #f3f4f5;--color-primary: #191e23;--color-secondary: #6c7781;--color-accent: #ffb900;--color-link: #46b450;--scale-ratio: 1.25;--scale0: 1rem;--scale1: calc(var(--scale0) * var(--scale-ratio));--scale2: calc(var(--scale1) * var(--scale-ratio));--scale3: calc(var(--scale2) * var(--scale-ratio));--scale4: calc(var(--scale3) * var(--scale-ratio));--scale5: calc(var(--scale4) * var(--scale-ratio))}@media (prefers-color-scheme: dark){:root{--color-background: #191e23;--color-muted: #23282d;--color-primary: #fbfbfc;--color-secondary: #ccd0d4}}*{box-sizing:border-box;margin:0;padding:0}html{font-size:14px}body{background:var(--color-background);color:var(--color-primary);display:grid;font:1em/1.5 Lato,sans-serif;gap:2em;grid-template-columns:[full-start] 1fr [main-start side-start] minmax(min-content,12em) [side-end content-start] minmax(min-content,36em) [main-end content-end] 1fr [full-end];grid-template-rows:auto [content] 0;margin-bottom:4em}body:before{content:"";grid-column:full;grid-row:content}ol,ul{padding-left:1em}:not(.icon-list,.tag-list)>li+li{margin-top:.4em}li::marker,.network{color:var(--color-secondary)}a{color:var(--color-link);text-decoration:none;transition:color .2s}a:focus,a:hover{color:var(--color-accent)}h1,h2,h3,h5{font-weight:400}h1,h2,h3{line-height:1.2}h1{font-size:var(--scale5)}h2{color:var(--color-secondary);font-size:var(--scale4)}h3{color:var(--color-accent);font-size:var(--scale3);grid-column:side;margin-bottom:1rem}h4{font-size:var(--scale2)}h5{font-size:var(--scale1)}h6{font-size:var(--scale0)}blockquote{border-left:.2em solid var(--color-muted);padding-left:1em}cite{color:var(--color-secondary);font-style:inherit}cite:before{content:"\\2014  "}svg{margin-right:.2em;vertical-align:-.2em}.masthead{background:var(--color-muted);display:inherit;gap:inherit;grid-column:full;grid-template-columns:inherit;padding:4em 0;text-align:center}.masthead>*,section{grid-column:main}.masthead>img{border-radius:50%;margin:0 auto;max-width:12em}article>*+*,blockquote>*+*{margin-top:.6em}.meta{color:var(--color-secondary)}.stack{display:grid;gap:1.5em}.icon-list{display:flex;flex-wrap:wrap;gap:.4em 1em;justify-content:center;list-style:none;padding:0}.grid-list{display:grid;gap:1em}.tag-list{display:flex;flex-wrap:wrap;gap:.4em;list-style:none;padding:0}.tag-list>li{background:var(--color-muted);border-radius:.2em;padding:.2em .6em}.bullet-item:not(:first-child):before{content:"\\b7  ";margin:0 .2em}@media print,(min-width: 48em){h3{text-align:right;margin-bottom:inherit}.masthead{text-align:inherit}.masthead>*,section{grid-column:content}.masthead img{grid-column:side;grid-row:span 2;max-width:100%}section{display:contents}.icon-list{flex-direction:column}.grid-list{grid-template-columns:repeat(auto-fit,minmax(calc((100% - 1em)/2),1fr))}}
`,U={mediaType:"print"},V=t=>M(t,N);exports.pdfRenderOptions=U;exports.render=V;
